- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoBinaryMetricSavingUpdater< MOEOT > Class Template Reference

This class allows to save the progression of a binary metric comparing the objective vectors of the current population (or archive) with the objective vectors of the population (or archive) of the generation (n-1) into a file. More...

`#include <moeoBinaryMetricSavingUpdater.h>`

Inheritance diagram for moeoBinaryMetricSavingUpdater< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The objective vector type of a solution.
## Public Member Functions
| moeoBinaryMetricSavingUpdater (moeoVectorVsVectorBinaryMetric< ObjectiveVector, double > &_metric, const eoPop< MOEOT > &_pop, std::string _filename)
| Ctor.
void | operator() ()
| Saves the metric's value for the current generation.
## Private Attributes
moeoVectorVsVectorBinaryMetric< ObjectiveVector, double > & | metric
| binary metric comparing two Pareto sets
const eoPop< MOEOT > & | pop
| main population
eoPop< MOEOT > | oldPop
| (n-1) population
std::string | filename
| target filename
bool | firstGen
| is it the first generation ?
unsigned int | counter
| counter

## Detailed Description

### template<class MOEOT>
class moeoBinaryMetricSavingUpdater< MOEOT >

This class allows to save the progression of a binary metric comparing the objective vectors of the current population (or archive) with the objective vectors of the population (or archive) of the generation (n-1) into a file.

Definition at line 28 of file moeoBinaryMetricSavingUpdater.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoBinaryMetricSavingUpdater< MOEOT >::moeoBinaryMetricSavingUpdater | ( | moeoVectorVsVectorBinaryMetric< ObjectiveVector, double > & | _metric,
|  | const eoPop< MOEOT > & | _pop,
|  | std::string | _filename |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _metric | the binary metric comparing two Pareto sets
  | _pop | the main population
  | _filename | the target filename

Definition at line 42 of file moeoBinaryMetricSavingUpdater.h.

The documentation for this class was generated from the following file:

- moeoBinaryMetricSavingUpdater.h